API ReferenceSubscriptions
Pause a subscription
Stop delivering events to this subscription. Events will be queued.
POST
/v1/subscriptions/{subscriptionId}/pauseAuthorization
ApiKeyAuth AuthorizationBearer <token>
API key authentication. Keys are prefixed with environment:
npk_live_for productionnpk_test_for testing/staging
In: header
Path Parameters
subscriptionId*string
Subscription ID
Response Body
application/json
application/json
application/json
curl -X POST "https://api.npayload.com/v1/subscriptions/string/pause"{
"id": "string",
"channelId": "string",
"name": "string",
"webhookUrl": "http://example.com",
"status": "active",
"eventTypes": [
"string"
],
"retryPolicy": {
"maxRetries": 5,
"initialDelay": 1000,
"maxDelay": 3600000,
"backoffMultiplier": 2
},
"headers": {
"property1": "string",
"property2": "string"
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Was this page helpful?